Bug 55264 - comment option broken in htdbm
Summary: comment option broken in htdbm
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_auth_dbm (show other bugs)
Version: 2.4.4
Hardware: PC Linux
: P2 regression (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2013-07-14 23:53 UTC by Jo Rhett
Modified: 2014-07-31 05:25 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jo Rhett 2013-07-14 23:53:01 UTC
htdbm man page and help output both indicate:

 -t   The last param is username comment.

Any attempt to use the -t option produces this error:

htdbm: illegal option -- t


I compiled from source as shipped on CentOS 6.4
Comment 1 Christophe JAILLET 2013-07-16 20:22:16 UTC
Confirmed. This is a regression of 2.4.

Could you please pick change in r1503866 and test it?
If it corrects the issue, I'll propose for backport.

I've not tested it myself but the patch looks straight forward.
Comment 2 Christophe JAILLET 2013-07-16 20:26:10 UTC
Regression introduced in 2.4.4 to be exact.
Comment 3 Jo Rhett 2013-07-16 20:41:53 UTC
Sorry, I found this on a production environment with binaries. It would be a few days, or more likely until Sunday, before I could build out an equivalent dev environment to do testing on.

As this is a fairly simple thing to test, you won't need me to replicate it :)
Comment 4 Christophe JAILLET 2013-07-16 22:10:57 UTC
Tested.

proposed for backport for next 2.4.x
Comment 5 Christophe JAILLET 2014-07-31 05:25:47 UTC
This has been backported in 2.4.7 (r1506135)